Subject: Re: bug#45200: Memory leaks: (garbage-collect) fails to reclaim memory

From: Stefan Monnier <[email-masked]>
Date: Sun, 05 Dec 2021 01:23:50 -0500

>> Thanks, but is it really a good idea to call malloc_trim each time we
>> free some chunk of memory?
> Skimming this very long thread, I think the conclusion was that we
> shouldn't do anything in Emacs on this point.  Does that sound correct?

For me the conclusion was that I'd be happy to see someone add a
`malloc-trim` primitive to ELisp, so that users can experiment with it,
e.g. by adding it to `post-gc-hook`.

        Stefan